Bug 1663427 - old version of python3-syspurpose, it is a reason of problem in subscription-manager
Summary: old version of python3-syspurpose, it is a reason of problem in subscription-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subscription-manager
Version: 28
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Chris Snyder
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-04 09:45 UTC by Yegor Maksymchuk
Modified: 2019-07-30 01:45 UTC (History)
7 users (show)

Fixed In Version: subscription-manager-1.25.5-1.fc30 subscription-manager-1.25.9-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-21 01:09:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Yegor Maksymchuk 2019-01-04 09:45:08 UTC
Description of problem:
in package python3-syspurpose was found an error in file 
utils.py and files.py

on the GitHub that files already fixed
https://github.com/candlepin/subscription-manager/blob/master/syspurpose/src/syspurpose/files.py

https://github.com/candlepin/subscription-manager/blob/master/syspurpose/src/syspurpose/utils.py

need update rpm package 

Version-Release number of selected component (if applicable):

rpm -qa python3-syspurpose
python3-syspurpose-1.24.2-1.fc29.x86_64

How reproducible:


Steps to Reproduce:
1.sudo install -y 
2.sudo subscription-manager register

Actual results:
module 'os' has no attribute 'errno'

Expected results:
sudo subscription-manager register
Registering to: subscription.rhsm.redhat.com:443/subscription

Additional info:
$ rpm -qa python3-syspurpose
python3-syspurpose-1.24.2-1.fc29.x86_64
$ uname -a 
Linux ymaks.ymaksfedora 4.19.13-300.fc29.x86_64 #1 SMP Sat Dec 29 22:54:28 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$ sudo subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.3.11-1
subscription management rules: 5.30.1
subscription-manager: 1.24.2-1.fc29

Comment 1 Alvin Starr 2019-01-29 21:32:18 UTC
adding "import errno" and removing os. in the os.errno references fixes the problem with 
/usr/lib/python3.7/site-packages/syspurpose/files.py 
and
/usr/lib/python3.7/site-packages/syspurpose/utils.py

Comment 2 Irina Boverman 2019-03-22 14:24:10 UTC
Is there a plan to fix this? Our CI depends on "subscription-manager register ..." command working, and currently we cannot use Fedora 29 in CI.

Comment 3 Ben Cotton 2019-05-02 19:45:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Update System 2019-05-13 15:50:03 UTC
subscription-manager-1.25.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6663f52736

Comment 5 Fedora Update System 2019-05-13 15:50:11 UTC
subscription-manager-1.25.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3928f88562

Comment 6 Fedora Update System 2019-05-13 15:50:18 UTC
subscription-manager-1.25.5-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-10f8c3b13d

Comment 7 Fedora Update System 2019-05-14 01:53:59 UTC
subscription-manager-1.25.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-10f8c3b13d

Comment 8 Fedora Update System 2019-05-14 03:36:24 UTC
subscription-manager-1.25.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6663f52736

Comment 9 Fedora Update System 2019-05-14 04:26:15 UTC
subscription-manager-1.25.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3928f88562

Comment 10 Fedora Update System 2019-05-21 01:09:21 UTC
subscription-manager-1.25.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-06-17 23:16:23 UTC
FEDORA-2019-3928f88562 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3928f88562

Comment 12 Fedora Update System 2019-06-18 02:16:47 UTC
subscription-manager-1.25.9-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3928f88562

Comment 13 Fedora Update System 2019-07-30 01:45:12 UTC
subscription-manager-1.25.9-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.